import axios from 'axios';
import { envVars } from './config.js';
import { logger } from './utils.js';

const config = {
  baseURL: envVars.BASE_URL,
  headers: { authorization: `Bearer ${envVars.TOKEN}` },
};

const axiosWrapper = async ({
  method,
  url,
  payload,
  responseType = 'json',
}) => {
  try {
    const result = await axios({
      method,
      url,
      ...config,
      data: { ...payload },
      responseType,
    });
    return result;
  } catch (error) {
    logger({ type: 'error', msg: 'axios has run into trouble' });
    return error;
  }
};

export { axiosWrapper };
